Subject: bug#44800: closed (Re: [bug#44800] [PATCH v2 3/3] Use substitute servers on the local network.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Dec 2020 08:44:02 +0000

Your bug report

#44800: [PATCH 0/2] publish: Add Avahi support.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44800: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44800
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#44800] [PATCH v2 3/3] Use substitute servers on the local network.
From: Mathieu Othacehe <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Dec 2020 09:43:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey Ludo,

> I’ll give it a spin in the coming days/weeks and we’ll see.  Can’t wait
> to be physically back at the office to see how it goes with more
> publishers/users.  :-)

Great, I hope it will work fine :). Here's the system configuration I
used to test this feature.

Thanks,

Mathieu

Subject: [PATCH 0/2] publish: Add Avahi support.
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Cc: Mathieu Othacehe <[email-masked]>
Date: Sun, 22 Nov 2020 16:56:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Here are two patches adding Avahi support to "guix publish". When the
"--enable-avahi" option is passed to "guix publish", the server is advertised
on the local network.

Future patches will use this option to automatically add all the publish
servers on the local network to the daemon "substitute-urls" list.

Thanks,

Mathieu

Mathieu Othacehe (2):
  Add Avahi support.
  publish: Add avahi support.

 Makefile.am                         |   1 +
 configure.ac                        |   6 ++
 doc/guix.texi                       |   5 +
 gnu/packages/package-management.scm |   2 +
 guix/avahi.scm                      | 162 ++++++++++++++++++++++++++++
 guix/scripts/publish.scm            |  23 ++++
 guix/self.scm                       |   9 +-
 7 files changed, 206 insertions(+), 2 deletions(-)
 create mode 100644 guix/avahi.scm

-- 
2.29.2